GLSL ES shader version 3 on Android?


#1

Does Processing for Android have support for glsl #version 300 es shaders? If so, how do we enable it?

Desktop Java Processing seems to run them just fine even without adding PJOGL.profile = 3; as I’ve seen posted in a few places. Maybe it detects the version and makes that setting on its own?

Running a 3.00 ES shader on Android, however, gives Error: shader version mismatch.